#
# spec file for package libmowgli2
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           libmowgli2
VCS: https://src.suse.de/SLFO-pool/libmowgli2#430a03b9ba5a30f60f32f2fcd1346feff0aa5316b96439835fa3f1489c4e2110
%define lname	libmowgli-2-0
Version:        2.1.3
Release:        160000.1.11
Summary:        A development framework for C (like GLib)
License:        ISC
Group:          Development/Libraries/C and C++
URL:            https://github.com/atheme/libmowgli-2

Source:         https://github.com/atheme/libmowgli-2/archive/v%version.tar.gz
BuildRequires:  pkgconfig(libssl)

%description
mowgli is a development framework for C (like GLib) which provides
flexible algorithms. It can be used as a suppliment to GLib to add
additional functions (dictionaries, hashes), or replace some of the
slow GLib list manipulation functions, or stand alone. It also
provides a hook system and convenient logging for code, as well as a
block allocator.

%package -n %lname
Summary:        The mowgli Gen2 development framework for C
Group:          System/Libraries

%description -n %lname
mowgli is a development framework for C (like GLib) which provides
flexible algorithms. It can be used as a suppliment to GLib to add
additional functions (dictionaries, hashes), or replace some of the
slow GLib list manipulation functions, or stand alone. It also
provides a hook system and convenient logging for code, as well as a
block allocator.

This package holds the shared library from libmowgli v2.

%package devel
Summary:        The development files for libmowgli v2
Group:          Development/Libraries/C and C++
Requires:       %lname = %version
Requires:       glibc-devel

%description devel
mowgli is a development framework for C (like GLib) which provides
flexible algorithms. It can be used as a suppliment to GLib to add
additional functions (dictionaries, hashes), or replace some of the
slow GLib list manipulation functions, or stand alone. It also
provides a hook system and convenient logging for code, as well as a
block allocator.

This package holds the development files for libmowgli v2.

%prep
%autosetup -n libmowgli-2-%version -p1

%build
if [ ! -e configure ]; then
	./autogen.sh
fi
%configure
# They are still on so.0, but functions were added
echo 'V_%version { global: *; };' >mowgli2.sym
%make_build LDFLAGS="-Wl,--version-script=$PWD/mowgli2.sym"

%install
%make_install

%post   -n %lname -p /sbin/ldconfig
%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%_libdir/libmowgli-2.so.0*

%files devel
%doc doc/BOOST README
%license COPYING
%_includedir/libmowgli-2
%_libdir/libmowgli-2.so
%_libdir/pkgconfig/libmowgli-2.pc

%changelog
* Fri Sep  4 2020 jengelh@inai.de
- Remove old specfile constructs
* Wed Aug 21 2019 jengelh@inai.de
- Update to new upstream release 2.1.3
  * Build system changes only
* Mon Sep 11 2017 jengelh@inai.de
- Update to new upstream release 2.1.1
  * Test whether openssl/ec.h exists and conditionally build with
    that.
* Tue May  3 2016 jengelh@inai.de
- Update to new upstream release 2.1.0
  * Fix IPv6 reverse DNS lookups (address to name conversion)
- Remove platform.patch (fixed upstream)
* Wed Jul 23 2014 jengelh@inai.de
- Enable openssl support
- Set symbol versions on the library because the API did change
  upwards-compatibly
* Sun Jul 20 2014 jengelh@inai.de
- Update to snapshot 2.0.0.g185 required by atheme-services-7.1.0
  * Added a strndup implementation
  * Add method to set SO_REUSEADDR on vio sockets
  * eventloop: rename mowgli_eventloop_timer_t.when to
  mowgli_eventloop_timer_t.deadline
* Mon Mar  3 2014 jengelh@inai.de
- Update project URL
* Sun Mar  3 2013 schwab@suse.de
- platform.patch:
  Fix invalid cpp directive
* Mon Jun 11 2012 cfarrell@suse.com
- license update: ISC
* Thu May 31 2012 jengelh@inai.de
- Initial package for build.opensuse.org
- This mostly a rewrite of libmowgli, with a fresh history
